--- old/usr/src/test/zfs-tests/tests/functional/nopwrite/nopwrite_negative.ksh	Wed Aug 31 16:21:21 2016
+++ new/usr/src/test/zfs-tests/tests/functional/nopwrite/nopwrite_negative.ksh	Wed Aug 31 16:21:21 2016
@@ -12,7 +12,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -36,54 +36,54 @@
 
 function cleanup
 {
-	datasetexists $origin && log_must $ZFS destroy -R $origin
-	log_must $ZFS create -o mountpoint=$TESTDIR $origin
+	datasetexists $origin && log_must zfs destroy -R $origin
+	log_must zfs create -o mountpoint=$TESTDIR $origin
 }
 
 log_assert "nopwrite isn't enabled without the prerequisites"
 
 # Data written into origin fs without compression or sha256
-$DD if=/dev/urandom of=$TESTDIR/file bs=1024k count=$MEGS conv=notrunc \
+dd if=/dev/urandom of=$TESTDIR/file bs=1024k count=$MEGS conv=notrunc \
     >/dev/null 2>&1 || log_fail "dd of $TESTDIR/file failed."
-$ZFS snapshot $origin@a || log_fail "zfs snap failed"
-log_must $ZFS clone -o compress=on $origin@a $origin/clone
-log_must $ZFS set checksum=sha256 $origin/clone
-$DD if=/$TESTDIR/file of=/$TESTDIR/clone/file bs=1024k count=$MEGS \
+zfs snapshot $origin@a || log_fail "zfs snap failed"
+log_must zfs clone -o compress=on $origin@a $origin/clone
+log_must zfs set checksum=sha256 $origin/clone
+dd if=/$TESTDIR/file of=/$TESTDIR/clone/file bs=1024k count=$MEGS \
     conv=notrunc >/dev/null 2>&1 || log_fail "dd failed."
 log_mustnot verify_nopwrite $origin $origin@a $origin/clone
-$ZFS destroy -R $origin@a || log_fail "zfs destroy failed"
-log_must $RM -f $TESTDIR/file
+zfs destroy -R $origin@a || log_fail "zfs destroy failed"
+log_must rm -f $TESTDIR/file
 
 # Data written to origin fs before checksum enabled
-log_must $ZFS set compress=on $origin
-$DD if=/dev/urandom of=$TESTDIR/file bs=1024k count=$MEGS conv=notrunc \
+log_must zfs set compress=on $origin
+dd if=/dev/urandom of=$TESTDIR/file bs=1024k count=$MEGS conv=notrunc \
     >/dev/null 2>&1 || log_fail "dd into $TESTDIR/file failed."
-log_must $ZFS set checksum=sha256 $origin
-$ZFS snapshot $origin@a || log_fail "zfs snap failed"
-log_must $ZFS clone $origin@a $origin/clone
-$DD if=/$TESTDIR/file of=/$TESTDIR/clone/file bs=1024k count=$MEGS \
+log_must zfs set checksum=sha256 $origin
+zfs snapshot $origin@a || log_fail "zfs snap failed"
+log_must zfs clone $origin@a $origin/clone
+dd if=/$TESTDIR/file of=/$TESTDIR/clone/file bs=1024k count=$MEGS \
     conv=notrunc >/dev/null 2>&1 || log_fail "dd failed."
 log_mustnot verify_nopwrite $origin $origin@a $origin/clone
-$ZFS destroy -R $origin@a || log_fail "zfs destroy failed"
-log_must $RM -f $TESTDIR/file
+zfs destroy -R $origin@a || log_fail "zfs destroy failed"
+log_must rm -f $TESTDIR/file
 
 # Clone with compression=off
-$DD if=/dev/urandom of=$TESTDIR/file bs=1024k count=$MEGS conv=notrunc \
+dd if=/dev/urandom of=$TESTDIR/file bs=1024k count=$MEGS conv=notrunc \
     >/dev/null 2>&1 || log_fail "dd into $TESTDIR/file failed."
-$ZFS snapshot $origin@a || log_fail "zfs snap failed"
-log_must $ZFS clone -o compress=off $origin@a $origin/clone
-$DD if=/$TESTDIR/file of=/$TESTDIR/clone/file bs=1024k count=$MEGS \
+zfs snapshot $origin@a || log_fail "zfs snap failed"
+log_must zfs clone -o compress=off $origin@a $origin/clone
+dd if=/$TESTDIR/file of=/$TESTDIR/clone/file bs=1024k count=$MEGS \
     conv=notrunc >/dev/null 2>&1 || log_fail "dd failed."
 log_mustnot verify_nopwrite $origin $origin@a $origin/clone
-$ZFS destroy -R $origin@a || log_fail "zfs destroy failed"
-log_must $RM -f $TESTDIR/file
+zfs destroy -R $origin@a || log_fail "zfs destroy failed"
+log_must rm -f $TESTDIR/file
 
 # Clone with fletcher4, rather than sha256
-$DD if=/dev/urandom of=$TESTDIR/file bs=1024k count=$MEGS conv=notrunc \
+dd if=/dev/urandom of=$TESTDIR/file bs=1024k count=$MEGS conv=notrunc \
     >/dev/null 2>&1 || log_fail "dd into $TESTDIR/file failed."
-$ZFS snapshot $origin@a || log_fail "zfs snap failed"
-log_must $ZFS clone -o checksum=fletcher4 $origin@a $origin/clone
-$DD if=/$TESTDIR/file of=/$TESTDIR/clone/file bs=1024k count=$MEGS \
+zfs snapshot $origin@a || log_fail "zfs snap failed"
+log_must zfs clone -o checksum=fletcher4 $origin@a $origin/clone
+dd if=/$TESTDIR/file of=/$TESTDIR/clone/file bs=1024k count=$MEGS \
     conv=notrunc >/dev/null 2>&1 || log_fail "dd failed."
 log_mustnot verify_nopwrite $origin $origin@a $origin/clone
 
--- old/usr/src/test/zfs-tests/tests/functional/nopwrite/nopwrite_promoted_clone.ksh	Wed Aug 31 16:21:21 2016
+++ new/usr/src/test/zfs-tests/tests/functional/nopwrite/nopwrite_promoted_clone.ksh	Wed Aug 31 16:21:21 2016
@@ -12,7 +12,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -36,22 +36,22 @@
 
 function cleanup
 {
-	datasetexists $origin && log_must $ZFS destroy -R $TESTPOOL/clone
-	log_must $ZFS create -o mountpoint=$TESTDIR $origin
+	datasetexists $origin && log_must zfs destroy -R $TESTPOOL/clone
+	log_must zfs create -o mountpoint=$TESTDIR $origin
 }
 
 log_assert "nopwrite works on a dataset that becomes a clone via promotion."
 
-log_must $ZFS set compress=on $origin
-log_must $ZFS set checksum=sha256 $origin
-$DD if=/dev/urandom of=$TESTDIR/file bs=1024k count=$MEGS conv=notrunc \
+log_must zfs set compress=on $origin
+log_must zfs set checksum=sha256 $origin
+dd if=/dev/urandom of=$TESTDIR/file bs=1024k count=$MEGS conv=notrunc \
     >/dev/null 2>&1 || log_fail "dd into $TESTDIR/file failed."
-$ZFS snapshot $origin@a || log_fail "zfs snap failed"
-log_must $ZFS clone $origin@a $TESTPOOL/clone
-log_must $ZFS set compress=off $TESTPOOL/clone
-log_must $ZFS set checksum=off $TESTPOOL/clone
-log_must $ZFS promote $TESTPOOL/clone
-$DD if=/$TESTPOOL/clone/file of=/$TESTDIR/file bs=1024k count=$MEGS \
+zfs snapshot $origin@a || log_fail "zfs snap failed"
+log_must zfs clone $origin@a $TESTPOOL/clone
+log_must zfs set compress=off $TESTPOOL/clone
+log_must zfs set checksum=off $TESTPOOL/clone
+log_must zfs promote $TESTPOOL/clone
+dd if=/$TESTPOOL/clone/file of=/$TESTDIR/file bs=1024k count=$MEGS \
     conv=notrunc >/dev/null 2>&1 || log_fail "dd failed."
 log_must verify_nopwrite $TESTPOOL/clone $TESTPOOL/clone@a $origin
 
--- old/usr/src/test/zfs-tests/tests/functional/nopwrite/nopwrite_recsize.ksh	Wed Aug 31 16:21:21 2016
+++ new/usr/src/test/zfs-tests/tests/functional/nopwrite/nopwrite_recsize.ksh	Wed Aug 31 16:21:21 2016
@@ -12,7 +12,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -34,22 +34,22 @@
 
 function cleanup
 {
-	datasetexists $origin && log_must $ZFS destroy -R $origin
-	log_must $ZFS create -o mountpoint=$TESTDIR $origin
+	datasetexists $origin && log_must zfs destroy -R $origin
+	log_must zfs create -o mountpoint=$TESTDIR $origin
 }
 
 log_assert "nopwrite updates file metadata correctly"
 
-log_must $ZFS set compress=on $origin
-log_must $ZFS set checksum=sha256 $origin
-$DD if=/dev/urandom of=$TESTDIR/file bs=1024k count=$MEGS conv=notrunc \
+log_must zfs set compress=on $origin
+log_must zfs set checksum=sha256 $origin
+dd if=/dev/urandom of=$TESTDIR/file bs=1024k count=$MEGS conv=notrunc \
     >/dev/null 2>&1 || log_fail "dd into $TESTDIR/file failed."
-$ZFS snapshot $origin@a || log_fail "zfs snap failed"
-log_must $ZFS clone $origin@a $origin/clone
+zfs snapshot $origin@a || log_fail "zfs snap failed"
+log_must zfs clone $origin@a $origin/clone
 
 for rs in 512 1024 2048 4096 8192 16384 32768 65536 131072 ; do
-	log_must $ZFS set recsize=$rs $origin/clone
-	$DD if=/$TESTDIR/file of=/$TESTDIR/clone/file bs=1024k count=$MEGS \
+	log_must zfs set recsize=$rs $origin/clone
+	dd if=/$TESTDIR/file of=/$TESTDIR/clone/file bs=1024k count=$MEGS \
 	    conv=notrunc >/tmp/null 2>&1 || log_fail "dd failed."
 	log_must verify_nopwrite $origin $origin@a $origin/clone
 done
--- old/usr/src/test/zfs-tests/tests/functional/nopwrite/nopwrite_sync.ksh	Wed Aug 31 16:21:21 2016
+++ new/usr/src/test/zfs-tests/tests/functional/nopwrite/nopwrite_sync.ksh	Wed Aug 31 16:21:21 2016
@@ -12,7 +12,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -34,20 +34,20 @@
 
 function cleanup
 {
-	datasetexists $origin && log_must $ZFS destroy -R $origin
-	log_must $ZFS create -o mountpoint=$TESTDIR $origin
+	datasetexists $origin && log_must zfs destroy -R $origin
+	log_must zfs create -o mountpoint=$TESTDIR $origin
 }
 
 log_assert "nopwrite works for sync writes"
 
-log_must $ZFS set compress=on $origin
-log_must $ZFS set checksum=sha256 $origin
-$GNUDD if=/dev/urandom of=$TESTDIR/file bs=1024k count=$MEGS oflag=sync \
+log_must zfs set compress=on $origin
+log_must zfs set checksum=sha256 $origin
+gnu_dd if=/dev/urandom of=$TESTDIR/file bs=1024k count=$MEGS oflag=sync \
     conv=notrunc >/dev/null 2>&1 || log_fail "dd into $TESTDIR/file failed."
-$ZFS snapshot $origin@a || log_fail "zfs snap failed"
-log_must $ZFS clone $origin@a $origin/clone
+zfs snapshot $origin@a || log_fail "zfs snap failed"
+log_must zfs clone $origin@a $origin/clone
 
-$GNUDD if=/$TESTDIR/file of=/$TESTDIR/clone/file bs=1024k count=$MEGS \
+gnu_dd if=/$TESTDIR/file of=/$TESTDIR/clone/file bs=1024k count=$MEGS \
     oflag=sync conv=notrunc >/dev/null 2>&1 || log_fail "dd failed."
 
 log_must verify_nopwrite $origin $origin@a $origin/clone
--- old/usr/src/test/zfs-tests/tests/functional/nopwrite/nopwrite_varying_compression.ksh	Wed Aug 31 16:21:21 2016
+++ new/usr/src/test/zfs-tests/tests/functional/nopwrite/nopwrite_varying_compression.ksh	Wed Aug 31 16:21:21 2016
@@ -12,7 +12,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -40,25 +40,25 @@
 
 function cleanup
 {
-	datasetexists $origin && log_must $ZFS destroy -R $origin
-	log_must $ZFS create -o mountpoint=$TESTDIR $origin
+	datasetexists $origin && log_must zfs destroy -R $origin
+	log_must zfs create -o mountpoint=$TESTDIR $origin
 }
 
 log_assert "nopwrite works with sha256 and any compression algorithm"
 
-log_must $ZFS set compress=on $origin
-log_must $ZFS set checksum=sha256 $origin
-$DD if=/dev/urandom of=$TESTDIR/file bs=1024k count=$MEGS conv=notrunc \
+log_must zfs set compress=on $origin
+log_must zfs set checksum=sha256 $origin
+dd if=/dev/urandom of=$TESTDIR/file bs=1024k count=$MEGS conv=notrunc \
     >/dev/null 2>&1 || log_fail "initial dd failed."
 
 # Verify nop_write for 4 random compression algorithms
 for i in $(get_rand_compress 4); do
-	$ZFS snapshot $origin@a || log_fail "zfs snap failed"
-	log_must $ZFS clone -o compress=$i $origin@a $origin/clone
-	$DD if=/$TESTDIR/file of=/$TESTDIR/clone/file bs=1024k count=$MEGS \
+	zfs snapshot $origin@a || log_fail "zfs snap failed"
+	log_must zfs clone -o compress=$i $origin@a $origin/clone
+	dd if=/$TESTDIR/file of=/$TESTDIR/clone/file bs=1024k count=$MEGS \
 	    conv=notrunc >/dev/null 2>&1 || log_fail "dd failed."
 	log_must verify_nopwrite $origin $origin@a $origin/clone
-	$ZFS destroy -R $origin@a || log_fail "zfs destroy failed"
+	zfs destroy -R $origin@a || log_fail "zfs destroy failed"
 done
 
 log_pass "nopwrite works with sha256 and any compression algorithm"
--- old/usr/src/test/zfs-tests/tests/functional/nopwrite/nopwrite_volume.ksh	Wed Aug 31 16:21:21 2016
+++ new/usr/src/test/zfs-tests/tests/functional/nopwrite/nopwrite_volume.ksh	Wed Aug 31 16:21:21 2016
@@ -12,7 +12,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -37,21 +37,21 @@
 
 function cleanup
 {
-	datasetexists $origin && log_must $ZFS destroy -R $origin
+	datasetexists $origin && log_must zfs destroy -R $origin
 	# No need to recreate the volume as no other tests expect it.
 }
 
 log_assert "nopwrite works on volumes"
 
-log_must $ZFS set compress=on $origin
-log_must $ZFS set checksum=sha256 $origin
-$DD if=/dev/urandom of=$vol bs=8192 count=4096 conv=notrunc >/dev/null \
+log_must zfs set compress=on $origin
+log_must zfs set checksum=sha256 $origin
+dd if=/dev/urandom of=$vol bs=8192 count=4096 conv=notrunc >/dev/null \
     2>&1 || log_fail "dd into $orgin failed."
-$ZFS snapshot $origin@a || log_fail "zfs snap failed"
-log_must $ZFS clone $origin@a $clone
-log_must $ZFS set compress=on $clone
-log_must $ZFS set checksum=sha256 $clone
-$DD if=$vol of=$volclone bs=8192 count=4096 conv=notrunc >/dev/null 2>&1 || \
+zfs snapshot $origin@a || log_fail "zfs snap failed"
+log_must zfs clone $origin@a $clone
+log_must zfs set compress=on $clone
+log_must zfs set checksum=sha256 $clone
+dd if=$vol of=$volclone bs=8192 count=4096 conv=notrunc >/dev/null 2>&1 || \
     log_fail "dd into $clone failed."
 log_must verify_nopwrite $origin $origin@a $clone
 
--- old/usr/src/test/zfs-tests/tests/functional/online_offline/online_offline_001_pos.ksh	Wed Aug 31 16:21:21 2016
+++ new/usr/src/test/zfs-tests/tests/functional/online_offline/online_offline_001_pos.ksh	Wed Aug 31 16:21:21 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013, 2014 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -52,7 +52,7 @@
 	# Ensure we don't leave disks in the offline state
 	#
 	for disk in $DISKLIST; do
-		log_must $ZPOOL online $TESTPOOL $disk
+		log_must zpool online $TESTPOOL $disk
 		check_state $TESTPOOL $disk "online"
 		if [[ $? != 0 ]]; then
 			log_fail "Unable to online $disk"
@@ -60,18 +60,18 @@
 
 	done
 
-	$KILL $killpid >/dev/null 2>&1
-	[[ -e $TESTDIR ]] && log_must $RM -rf $TESTDIR/*
+	kill $killpid >/dev/null 2>&1
+	[[ -e $TESTDIR ]] && log_must rm -rf $TESTDIR/*
 }
 
 log_assert "Turning a disk offline and back online during I/O completes."
 
-$FILE_TRUNC -f $((64 * 1024 * 1024)) -b 8192 -c 0 -r $TESTDIR/$TESTFILE1 &
+file_trunc -f $((64 * 1024 * 1024)) -b 8192 -c 0 -r $TESTDIR/$TESTFILE1 &
 typeset killpid="$! "
 
 for disk in $DISKLIST; do
         for i in 'do_offline' 'do_offline_while_already_offline'; do
-		log_must $ZPOOL offline $TESTPOOL $disk
+		log_must zpool offline $TESTPOOL $disk
 		check_state $TESTPOOL $disk "offline"
                 if [[ $? != 0 ]]; then
                         log_fail "$disk of $TESTPOOL is not offline."
@@ -78,7 +78,7 @@
                 fi
         done
 
-        log_must $ZPOOL online $TESTPOOL $disk
+        log_must zpool online $TESTPOOL $disk
         check_state $TESTPOOL $disk "online"
         if [[ $? != 0 ]]; then
                 log_fail "$disk of $TESTPOOL did not match online state"
@@ -85,8 +85,8 @@
         fi
 done
 
-log_must $KILL $killpid
-$SYNC
+log_must kill $killpid
+sync
 
 typeset dir=$(get_device_dir $DISKS)
 verify_filesys "$TESTPOOL" "$TESTPOOL/$TESTFS" "$dir"
--- old/usr/src/test/zfs-tests/tests/functional/online_offline/online_offline_002_neg.ksh	Wed Aug 31 16:21:21 2016
+++ new/usr/src/test/zfs-tests/tests/functional/online_offline/online_offline_002_neg.ksh	Wed Aug 31 16:21:21 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013, 2014 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -53,7 +53,7 @@
 	# Ensure we don't leave disks in the offline state
 	#
 	for disk in $DISKLIST; do
-		log_must $ZPOOL online $TESTPOOL $disk
+		log_must zpool online $TESTPOOL $disk
 		check_state $TESTPOOL $disk "online"
 		if [[ $? != 0 ]]; then
 			log_fail "Unable to online $disk"
@@ -61,8 +61,8 @@
 
 	done
 
-	$KILL $killpid >/dev/null 2>&1
-	[[ -e $TESTDIR ]] && log_must $RM -rf $TESTDIR/*
+	kill $killpid >/dev/null 2>&1
+	[[ -e $TESTDIR ]] && log_must rm -rf $TESTDIR/*
 }
 
 log_assert "Turning both disks offline should fail."
@@ -69,7 +69,7 @@
 
 log_onexit cleanup
 
-$FILE_TRUNC -f $((64 * 1024 * 1024)) -b 8192 -c 0 -r $TESTDIR/$TESTFILE1 &
+file_trunc -f $((64 * 1024 * 1024)) -b 8192 -c 0 -r $TESTDIR/$TESTFILE1 &
 typeset killpid="$! "
 
 disks=($DISKLIST)
@@ -79,7 +79,7 @@
 # all but one vdev offlined, whereas with raidz there can be only one.
 #
 pooltype='mirror'
-$ZPOOL list -v $TESTPOOL | $GREP raidz >/dev/null 2>&1 && pooltype='raidz'
+zpool list -v $TESTPOOL | grep raidz >/dev/null 2>&1 && pooltype='raidz'
 
 typeset -i i=0
 while [[ $i -lt ${#disks[*]} ]]; do
@@ -86,7 +86,7 @@
 	typeset -i j=0
 	if [[ $pooltype = 'mirror' ]]; then
 		# Hold one disk online, verify the others can be offlined.
-		log_must $ZPOOL online $TESTPOOL ${disks[$i]}
+		log_must zpool online $TESTPOOL ${disks[$i]}
 		check_state $TESTPOOL ${disks[$i]} "online" || \
 		    log_fail "Failed to set ${disks[$i]} online"
 		while [[ $j -lt ${#disks[*]} ]]; do
@@ -94,7 +94,7 @@
 				((j++))
 				continue
 			fi
-			log_must $ZPOOL offline $TESTPOOL ${disks[$j]}
+			log_must zpool offline $TESTPOOL ${disks[$j]}
 			check_state $TESTPOOL ${disks[$j]} "offline" || \
 			    log_fail "Failed to set ${disks[$j]} offline"
 			((j++))
@@ -101,7 +101,7 @@
 		done
 	elif [[ $pooltype = 'raidz' ]]; then
 		# Hold one disk offline, verify the others can't be offlined.
-		log_must $ZPOOL offline $TESTPOOL ${disks[$i]}
+		log_must zpool offline $TESTPOOL ${disks[$i]}
 		check_state $TESTPOOL ${disks[$i]} "offline" || \
 		    log_fail "Failed to set ${disks[$i]} offline"
 		while [[ $j -lt ${#disks[*]} ]]; do
@@ -109,7 +109,7 @@
 				((j++))
 				continue
 			fi
-			log_mustnot $ZPOOL offline $TESTPOOL ${disks[$j]}
+			log_mustnot zpool offline $TESTPOOL ${disks[$j]}
 			check_state $TESTPOOL ${disks[$j]} "online" || \
 			    log_fail "Failed to set ${disks[$j]} online"
 			check_state $TESTPOOL ${disks[$i]} "offline" || \
@@ -116,7 +116,7 @@
 			    log_fail "Failed to set ${disks[$i]} offline"
 			((j++))
 		done
-		log_must $ZPOOL online $TESTPOOL ${disks[$i]}
+		log_must zpool online $TESTPOOL ${disks[$i]}
 		check_state $TESTPOOL ${disks[$i]} "online" || \
 		    log_fail "Failed to set ${disks[$i]} online"
 	fi
@@ -123,8 +123,8 @@
 	((i++))
 done
 
-log_must $KILL $killpid
-$SYNC
+log_must kill $killpid
+sync
 
 typeset dir=$(get_device_dir $DISKS)
 verify_filesys "$TESTPOOL" "$TESTPOOL/$TESTFS" "$dir"
--- old/usr/src/test/zfs-tests/tests/functional/online_offline/online_offline_003_neg.ksh	Wed Aug 31 16:21:21 2016
+++ new/usr/src/test/zfs-tests/tests/functional/online_offline/online_offline_003_neg.ksh	Wed Aug 31 16:21:21 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,8 +48,8 @@
 		destroy_pool $TESTPOOL1
 	fi
 
-	$KILL $killpid >/dev/null 2>&1
-	[[ -e $TESTDIR ]] && log_must $RM -rf $TESTDIR/*
+	kill $killpid >/dev/null 2>&1
+	[[ -e $TESTDIR ]] && log_must rm -rf $TESTDIR/*
 }
 
 log_assert "Offlining disks in a non-redundant pool should fail."
@@ -58,24 +58,24 @@
 
 specials_list=""
 for i in 0 1 2; do
-	$MKFILE $MINVDEVSIZE $TESTDIR/$TESTFILE1.$i
+	mkfile $MINVDEVSIZE $TESTDIR/$TESTFILE1.$i
 	specials_list="$specials_list $TESTDIR/$TESTFILE1.$i"
 done
 disk=($specials_list)
 
 create_pool $TESTPOOL1 $specials_list
-log_must $ZFS create $TESTPOOL1/$TESTFS1
-log_must $ZFS set mountpoint=$TESTDIR1 $TESTPOOL1/$TESTFS1
+log_must zfs create $TESTPOOL1/$TESTFS1
+log_must zfs set mountpoint=$TESTDIR1 $TESTPOOL1/$TESTFS1
 
-$FILE_TRUNC -f $((64 * 1024 * 1024)) -b 8192 -c 0 -r $TESTDIR/$TESTFILE1 &
+file_trunc -f $((64 * 1024 * 1024)) -b 8192 -c 0 -r $TESTDIR/$TESTFILE1 &
 typeset killpid="$! "
 
 for i in 0 1 2; do
-	log_mustnot $ZPOOL offline $TESTPOOL1 ${disk[$i]}
+	log_mustnot zpool offline $TESTPOOL1 ${disk[$i]}
 	check_state $TESTPOOL1 ${disk[$i]} "online"
 done
 
-log_must $KILL $killpid
-$SYNC
+log_must kill $killpid
+sync
 
 log_pass
--- old/usr/src/test/zfs-tests/tests/functional/pool_names/pool_names_001_pos.ksh	Wed Aug 31 16:21:21 2016
+++ new/usr/src/test/zfs-tests/tests/functional/pool_names/pool_names_001_pos.ksh	Wed Aug 31 16:21:21 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -51,11 +51,11 @@
 function cleanup
 {
 	if [[ -n $name ]] && poolexists $name ; then
-		log_must $ZPOOL destroy $name
+		log_must zpool destroy $name
 	fi
 
 	if [[ -d $TESTDIR ]]; then
-		log_must $RM -rf $TESTDIR
+		log_must rm -rf $TESTDIR
 	fi
 
 }
@@ -64,7 +64,7 @@
 
 DISK=${DISKS%% *}
 if [[ ! -e $TESTDIR ]]; then
-	log_must $MKDIR $TESTDIR
+	log_must mkdir $TESTDIR
 fi
 
 log_note "Ensure letters of the alphabet are allowable"
@@ -76,12 +76,12 @@
     a b c d e f g h i j k l m \
     n o p q r s t u v w x y z
 do
-	log_must $ZPOOL create -m $TESTDIR $name $DISK
+	log_must zpool create -m $TESTDIR $name $DISK
 	if ! poolexists $name; then
 		log_fail "Could not create a pool called '$name'"
 	fi
 
-	log_must $ZPOOL destroy $name
+	log_must zpool destroy $name
 done
 
 log_note "Ensure a variety of unusual names passes"
@@ -95,7 +95,7 @@
     "spar3-p00l" "hiddenmirrorpool" "hiddenraidzpool" \
     "hiddensparepool"
 do
-	log_must $ZPOOL create -m $TESTDIR $name $DISK
+	log_must zpool create -m $TESTDIR $name $DISK
 	if ! poolexists $name; then
 		log_fail "Could not create a pool called '$name'"
 	fi
@@ -104,12 +104,12 @@
 	# Since the naming convention applies to datasets too,
 	# create datasets with the same names as above.
 	#
-	log_must $ZFS create $name/$name
-	log_must $ZFS snapshot $name/$name@$name
-	log_must $ZFS clone $name/$name@$name $name/clone_$name
-	log_must $ZFS create -V 150m $name/$name/$name
+	log_must zfs create $name/$name
+	log_must zfs snapshot $name/$name@$name
+	log_must zfs clone $name/$name@$name $name/clone_$name
+	log_must zfs create -V 150m $name/$name/$name
 
-	log_must $ZPOOL destroy $name
+	log_must zpool destroy $name
 done
 
 log_pass "Valid pool names were accepted correctly."
--- old/usr/src/test/zfs-tests/tests/functional/pool_names/pool_names_002_neg.ksh	Wed Aug 31 16:21:22 2016
+++ new/usr/src/test/zfs-tests/tests/functional/pool_names/pool_names_002_neg.ksh	Wed Aug 31 16:21:22 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -53,27 +53,27 @@
 function cleanup
 {
 	if poolexists $POOLNAME; then
-		log_must $ZPOOL destroy $POOLNAME
+		log_must zpool destroy $POOLNAME
 	fi
 
 	if [[ -d $TESTDIR ]]; then
-		log_must $RM -rf $TESTDIR
+		log_must rm -rf $TESTDIR
 	fi
 }
 
 log_onexit cleanup
 
-typeset exclude=`eval $ECHO \"'(${KEEP})'\"`
-for pool in $($ZPOOL list -H -o name | \
-	$EGREP -v "$exclude" | \
-	$GREP -v "$TESTPOOL" | \
-	$EGREP -v "$NO_POOLS"); do
-	log_must $ZPOOL destroy $pool
+typeset exclude=`eval echo \"'(${KEEP})'\"`
+for pool in $(zpool list -H -o name | \
+	egrep -v "$exclude" | \
+	grep -v "$TESTPOOL" | \
+	egrep -v "$NO_POOLS"); do
+	log_must zpool destroy $pool
 done
 
 DISK=${DISKS%% *}
 if [[ ! -e $TESTDIR ]]; then
-        log_must $MKDIR $TESTDIR
+        log_must mkdir $TESTDIR
 fi
 
 log_note "Ensure invalid characters fail"
@@ -83,12 +83,12 @@
     ":" ";" "<" "=" ">" "\?" "@" \
     "[" "]" "^" "_" "\`" "{" "|" "}" "~"
 do
-	log_mustnot $ZPOOL create -m $TESTDIR $POOLNAME $DISK
+	log_mustnot zpool create -m $TESTDIR $POOLNAME $DISK
         if poolexists $POOLNAME; then
                 log_fail "Unexpectedly created pool: '$POOLNAME'"
         fi
 
-	log_mustnot $ZPOOL destroy $POOLNAME
+	log_mustnot zpool destroy $POOLNAME
 done
 
 log_note "Check that invalid octal values fail"
@@ -99,12 +99,12 @@
     "\040" "\177"
 do
 	POOLNAME=`eval "echo x | tr 'x' '$oct'"`
-	log_mustnot $ZPOOL create -m $TESTDIR $POOLNAME $DISK
+	log_mustnot zpool create -m $TESTDIR $POOLNAME $DISK
         if poolexists $POOLNAME; then
                 log_fail "Unexpectedly created pool: '$POOLNAME'"
         fi
 
-	log_mustnot $ZPOOL destroy $POOLNAME
+	log_mustnot zpool destroy $POOLNAME
 done
 
 log_note "Verify invalid pool names fail"
@@ -118,12 +118,12 @@
 fi
 typeset -i i=0
 while ((i < ${#POOLNAME[@]})); do
-	log_mustnot $ZPOOL create -m $TESTDIR ${POOLNAME[$i]} $DISK
+	log_mustnot zpool create -m $TESTDIR ${POOLNAME[$i]} $DISK
         if poolexists ${POOLNAME[$i]}; then
                 log_fail "Unexpectedly created pool: '${POOLNAME[$i]}'"
         fi
 
-	log_mustnot $ZPOOL destroy ${POOLNAME[$i]}
+	log_mustnot zpool destroy ${POOLNAME[$i]}
 
 	((i += 1))
 done
--- old/usr/src/test/zfs-tests/tests/functional/poolversion/cleanup.ksh	Wed Aug 31 16:21:22 2016
+++ new/usr/src/test/zfs-tests/tests/functional/poolversion/cleanup.ksh	Wed Aug 31 16:21:22 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -33,10 +33,10 @@
 
 verify_runnable "global"
 
-log_must $ZPOOL destroy $TESTPOOL
-log_must $ZPOOL destroy $TESTPOOL2
+log_must zpool destroy $TESTPOOL
+log_must zpool destroy $TESTPOOL2
 
-log_must $RM /tmp/zpool_version_1.dat
-log_must $RM /tmp/zpool2_version_1.dat
+log_must rm /tmp/zpool_version_1.dat
+log_must rm /tmp/zpool2_version_1.dat
 
 default_cleanup
--- old/usr/src/test/zfs-tests/tests/functional/poolversion/poolversion_001_pos.ksh	Wed Aug 31 16:21:22 2016
+++ new/usr/src/test/zfs-tests/tests/functional/poolversion/poolversion_001_pos.ksh	Wed Aug 31 16:21:22 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -46,9 +46,9 @@
 log_assert "zpool set version can upgrade a pool"
 for version in 1 2 3 4 5 6 7 8
 do
-	log_must $ZPOOL set version=$version $TESTPOOL
-	ACTUAL=$($ZPOOL get version $TESTPOOL | $GREP version \
-		| $AWK '{print $3}')
+	log_must zpool set version=$version $TESTPOOL
+	ACTUAL=$(zpool get version $TESTPOOL | grep version \
+		| awk '{print $3}')
 	if [ "$ACTUAL" != "$version" ]
 	then
 		log_fail "v. $ACTUAL set for $TESTPOOL, expected v. $version!"
--- old/usr/src/test/zfs-tests/tests/functional/poolversion/poolversion_002_pos.ksh	Wed Aug 31 16:21:22 2016
+++ new/usr/src/test/zfs-tests/tests/functional/poolversion/poolversion_002_pos.ksh	Wed Aug 31 16:21:22 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -46,23 +46,23 @@
 verify_runnable "global"
 log_assert "zpool set version can only increment pool version"
 
-log_must $ZPOOL set version=6 $TESTPOOL2
+log_must zpool set version=6 $TESTPOOL2
 # verify it's actually that version - by checking the version property
 # and also by trying to set bootfs (which should fail if it is not version 6)
 
-VERSION=$($ZPOOL get version $TESTPOOL2| $GREP version | $AWK '{print $3}')
+VERSION=$(zpool get version $TESTPOOL2| grep version | awk '{print $3}')
 if [ "$VERSION" != "6" ]
 then
 	log_fail "Version $VERSION set for $TESTPOOL2 expected version 6!"
 fi
-log_must $ZPOOL set bootfs=$TESTPOOL2 $TESTPOOL2
+log_must zpool set bootfs=$TESTPOOL2 $TESTPOOL2
 
 # now verify we can't downgrade the version
-log_mustnot $ZPOOL set version=5 $TESTPOOL2
-log_mustnot $ZPOOL set version=-1 $TESTPOOL2
+log_mustnot zpool set version=5 $TESTPOOL2
+log_mustnot zpool set version=-1 $TESTPOOL2
 
 # verify the version is still 6
-VERSION=$($ZPOOL get version $TESTPOOL2 | $GREP version | $AWK '{print $3}')
+VERSION=$(zpool get version $TESTPOOL2 | grep version | awk '{print $3}')
 if [ "$VERSION" != "6" ]
 then
 	log_fail "Version $VERSION set for $TESTPOOL2, expected version 6!"
--- old/usr/src/test/zfs-tests/tests/functional/poolversion/setup.ksh	Wed Aug 31 16:21:22 2016
+++ new/usr/src/test/zfs-tests/tests/functional/poolversion/setup.ksh	Wed Aug 31 16:21:22 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -34,12 +34,12 @@
 verify_runnable "global"
 
 # create a version 1 pool
-log_must $MKFILE $MINVDEVSIZE /tmp/zpool_version_1.dat
-log_must $ZPOOL create -o version=1 $TESTPOOL /tmp/zpool_version_1.dat
+log_must mkfile $MINVDEVSIZE /tmp/zpool_version_1.dat
+log_must zpool create -o version=1 $TESTPOOL /tmp/zpool_version_1.dat
 
 
 # create another version 1 pool
-log_must $MKFILE $MINVDEVSIZE /tmp/zpool2_version_1.dat
-log_must $ZPOOL create -o version=1 $TESTPOOL2 /tmp/zpool2_version_1.dat
+log_must mkfile $MINVDEVSIZE /tmp/zpool2_version_1.dat
+log_must zpool create -o version=1 $TESTPOOL2 /tmp/zpool2_version_1.dat
 
 log_pass
--- old/usr/src/test/zfs-tests/tests/functional/privilege/cleanup.ksh	Wed Aug 31 16:21:22 2016
+++ new/usr/src/test/zfs-tests/tests/functional/privilege/cleanup.ksh	Wed Aug 31 16:21:22 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -33,17 +33,17 @@
 
 verify_runnable "global"
 
-ZFS_USER=$($CAT /tmp/zfs-privs-test-user.txt)
-USES_NIS=$($CAT /tmp/zfs-privs-test-nis.txt)
+ZFS_USER=$(cat /tmp/zfs-privs-test-user.txt)
+USES_NIS=$(cat /tmp/zfs-privs-test-nis.txt)
 
 if [ "${USES_NIS}" == "true" ]
 then
-    $SVCADM enable svc:/network/nis/client:default
+    svcadm enable svc:/network/nis/client:default
 fi
 
-$USERDEL $ZFS_USER
-[[ -d /export/home/$ZFS_USER ]] && $RM -rf /export/home/$ZFS_USER
-$RM /tmp/zfs-privs-test-nis.txt
-$RM /tmp/zfs-privs-test-user.txt
+userdel $ZFS_USER
+[[ -d /export/home/$ZFS_USER ]] && rm -rf /export/home/$ZFS_USER
+rm /tmp/zfs-privs-test-nis.txt
+rm /tmp/zfs-privs-test-user.txt
 
 default_cleanup
